Debian Bug report logs - #606395
[G-I] wrong keyboard layout in console (correct in X)

version graph

Package: rootskel; Maintainer for rootskel is Debian Install System Team <debian-boot@lists.debian.org>; Source for rootskel is src:rootskel.

Reported by: Holger Wansing <linux@wansing-online.de>

Date: Wed, 8 Dec 2010 21:33:05 UTC

Severity: important

Tags: patch

Found in version rootskel/1.101

Fixed in version rootskel/1.102

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#606395; Package debian-installer. (Wed, 08 Dec 2010 21:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 08 Dec 2010 21:33:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [G-I][squeeze-d-i-beta2] wrong keyboard layout in console (correct in X)
Date: Wed, 8 Dec 2010 22:32:12 +0100
Package: debian-installer


Used media: debian-squeeze-di-beta2-i386-xfce+lxde-CD-1.iso 
from http://cdimage.debian.org/cdimage/.squeeze_beta2/ 


I want to say: the keyboard chooser dialogs in G-I are now
perfectly translated (at least for German), wow! Thanks!

But today I noticed the following:
When the graphical installer is used, and I select my favourite
choice for language and keyboard layout, let's say German, the 
keyboard is set correctly in the graphical environment (X-Server),
but on the virtual consoles it remains english.

This is probably only a minor problem, though.

And the problem is only existing in the installer environment,
in the installed system everything is correct!



Greetings
Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 2.5.0
    under DEBIAN GNU/LINUX 5.0.0 - L e n n y
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#606395; Package debian-installer. (Thu, 09 Dec 2010 00:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 09 Dec 2010 00:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 606395@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Holger Wansing <linux@wansing-online.de>, 606395@bugs.debian.org, console-setup@packages.debian.org
Subject: Re: Bug#606395: [G-I][squeeze-d-i-beta2] wrong keyboard layout in console (correct in X)
Date: Thu, 9 Dec 2010 08:35:24 +0800
Holger Wansing, le Wed 08 Dec 2010 22:32:12 +0100, a écrit :
> When the graphical installer is used, and I select my favourite
> choice for language and keyboard layout, let's say German, the 
> keyboard is set correctly in the graphical environment (X-Server),
> but on the virtual consoles it remains english.

That's actually "expected": we didn't want to switch back to the text
console just to setup the keyboard (setupcon would refuse to run from
the X server). But we should keep that on the TODO list, yes.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#606395; Package debian-installer. (Thu, 09 Dec 2010 08:57:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 09 Dec 2010 08:57:01 GMT) Full text and rfc822 format available.

Message #15 received at 606395@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: 606395@bugs.debian.org
Cc: Holger Wansing <linux@wansing-online.de>, console-setup@packages.debian.org
Subject: Re: Bug#606395: [G-I][squeeze-d-i-beta2] wrong keyboard layout in console (correct in X)
Date: Thu, 9 Dec 2010 10:47:38 +0200
On Thu, Dec 09, 2010 at 08:35:24AM +0800, Samuel Thibault wrote:
> 
> That's actually "expected": we didn't want to switch back to the text
> console just to setup the keyboard (setupcon would refuse to run from
> the X server). But we should keep that on the TODO list, yes.

As far as I can remember on the virtual consoles there is a text saying 
something like "Press ENTER to activate this console".  I don't know 
what program is displaying this text but isn't it possible to change the 
same program to run setupcon just before the shell?

If for some reason this is impossible, then one can create the following 
helper script:

===============
#!/bin/sh

setupcon
exec /bin/ash
===============

and run it instead of a shell.

Or if even this is impossible, then the installation manual should 
mention that the users can use 'setupcon' to configure the keyboard on 
the text consoles.

Anton Zinoviev





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#606395; Package debian-installer. (Sun, 08 Jul 2012 17:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 08 Jul 2012 17:39:06 GMT) Full text and rfc822 format available.

Message #20 received at 606395@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Holger Wansing <linux@wansing-online.de>, 606395@bugs.debian.org
Subject: Re: Bug#606395: [G-I][squeeze-d-i-beta2] wrong keyboard layout in console (correct in X)
Date: Sun, 8 Jul 2012 19:37:43 +0200
[Message part 1 (text/plain, inline)]
found    606395 20120508
found    606395 20120626
severity 606395 important
retitle  606395 [G-I] wrong keyboard layout in console (correct in X)
thanks

Hello,

Holger Wansing <linux@wansing-online.de> (08/12/2010):
> Used media: debian-squeeze-di-beta2-i386-xfce+lxde-CD-1.iso 
> from http://cdimage.debian.org/cdimage/.squeeze_beta2/ 
> 
> 
> I want to say: the keyboard chooser dialogs in G-I are now
> perfectly translated (at least for German), wow! Thanks!
> 
> But today I noticed the following:
> When the graphical installer is used, and I select my favourite
> choice for language and keyboard layout, let's say German, the 
> keyboard is set correctly in the graphical environment (X-Server),
> but on the virtual consoles it remains english.
> 
> This is probably only a minor problem, though.

this is still the case for wheezy pre-releases. This can be annoying if
for one reason or another one has to switch to a console to debug a few
things. That also means that speech synthesis (which triggers a switch
to the console) is qwerty-only. Bumping severity accordingly.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Marked as found in versions debian-installer/20120508. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sun, 08 Jul 2012 17:39:21 GMT) Full text and rfc822 format available.

Marked as found in versions debian-installer/20120626. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sun, 08 Jul 2012 17:39:21 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sun, 08 Jul 2012 17:39:22 GMT) Full text and rfc822 format available.

Changed Bug title to '[G-I] wrong keyboard layout in console (correct in X)' from '[G-I][squeeze-d-i-beta2] wrong keyboard layout in console (correct in X)' Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sun, 08 Jul 2012 17:39:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#606395; Package debian-installer. (Sun, 08 Jul 2012 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 08 Jul 2012 17:48:03 GMT) Full text and rfc822 format available.

Message #33 received at 606395@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 606395@bugs.debian.org
Cc: Holger Wansing <linux@wansing-online.de>
Subject: Re: Bug#606395: [G-I][squeeze-d-i-beta2] wrong keyboard layout in console (correct in X)
Date: Sun, 8 Jul 2012 19:45:00 +0200
Cyril Brulebois, le Sun 08 Jul 2012 19:37:43 +0200, a écrit :
> That also means that speech synthesis (which triggers a switch
> to the console) is qwerty-only.

No, since the switch happens before the console-setup configuration.
Console-setup then uses the console switch method.  Tested successfully.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#606395; Package debian-installer. (Sun, 08 Jul 2012 17:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 08 Jul 2012 17:57:10 GMT) Full text and rfc822 format available.

Message #38 received at 606395@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 606395@bugs.debian.org
Cc: Holger Wansing <linux@wansing-online.de>
Subject: Re: Bug#606395: [G-I][squeeze-d-i-beta2] wrong keyboard layout in console (correct in X)
Date: Sun, 8 Jul 2012 19:52:37 +0200
Samuel Thibault, le Sun 08 Jul 2012 19:45:00 +0200, a écrit :
> Cyril Brulebois, le Sun 08 Jul 2012 19:37:43 +0200, a écrit :
> > That also means that speech synthesis (which triggers a switch
> > to the console) is qwerty-only.
> 
> No, since the switch happens before the console-setup configuration.
> Console-setup then uses the console switch method.  Tested successfully.

There's just one case that wouldn't work: selecting the language,
country and keyboard before plugging a USB braille device. In that case
the switch is after console-setup configuration. Let me doubt anybody
needs that case :)

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#606395; Package debian-installer. (Sun, 08 Jul 2012 19:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 08 Jul 2012 19:27:04 GMT) Full text and rfc822 format available.

Message #43 received at 606395@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 606395@bugs.debian.org
Cc: Holger Wansing <linux@wansing-online.de>
Subject: Re: Bug#606395: [G-I][squeeze-d-i-beta2] wrong keyboard layout in console (correct in X)
Date: Sun, 8 Jul 2012 21:24:53 +0200
[Message part 1 (text/plain, inline)]
Samuel Thibault <sthibault@debian.org> (08/07/2012):
> Samuel Thibault, le Sun 08 Jul 2012 19:45:00 +0200, a écrit :
> > No, since the switch happens before the console-setup configuration.
> > Console-setup then uses the console switch method.  Tested successfully.

The speech synthesis option seems to get the proper keymap layout
picked, with alpha 1.

That's not the case with a freshly-built netboot-gtk image (against
testing), with the following packages:
  localudebs/console-setup-linux-charmaps-udeb_1.80_all.udeb
  localudebs/console-setup-linux-fonts-udeb_1.80_all.udeb
  localudebs/console-setup-udeb_1.80_all.udeb

(picking French/France/French)

With the same choices in G-I w/o speech synthesis, the proper layout is
set in X, but not in the console.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#606395; Package debian-installer. (Mon, 09 Jul 2012 04:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 09 Jul 2012 04:42:04 GMT) Full text and rfc822 format available.

Message #48 received at 606395@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 606395@bugs.debian.org, Holger Wansing <linux@wansing-online.de>
Subject: Re: Bug#606395: [G-I][squeeze-d-i-beta2] wrong keyboard layout in console (correct in X)
Date: Mon, 9 Jul 2012 06:21:37 +0200
Cyril Brulebois, le Sun 08 Jul 2012 21:24:53 +0200, a écrit :
> Samuel Thibault <sthibault@debian.org> (08/07/2012):
> > Samuel Thibault, le Sun 08 Jul 2012 19:45:00 +0200, a écrit :
> > > No, since the switch happens before the console-setup configuration.
> > > Console-setup then uses the console switch method.  Tested successfully.
> 
> The speech synthesis option seems to get the proper keymap layout
> picked, with alpha 1.
> 
> That's not the case with a freshly-built netboot-gtk image (against
> testing), with the following packages:
>   localudebs/console-setup-linux-charmaps-udeb_1.80_all.udeb
>   localudebs/console-setup-linux-fonts-udeb_1.80_all.udeb
>   localudebs/console-setup-udeb_1.80_all.udeb
> 
> (picking French/France/French)
> 
> With the same choices in G-I w/o speech synthesis, the proper layout is
> set in X, but not in the console.

Err, without speech synthesis, yes, that's the point of this bug,
indeed.  But doesn't it work *with* speech synthesis?  (since in that
case the installer uses text mode from the start)

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#606395; Package debian-installer. (Mon, 09 Jul 2012 08:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 09 Jul 2012 08:51:08 GMT) Full text and rfc822 format available.

Message #53 received at 606395@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Samuel Thibault <sthibault@debian.org>
Cc: 606395@bugs.debian.org, Holger Wansing <linux@wansing-online.de>
Subject: Re: Bug#606395: [G-I][squeeze-d-i-beta2] wrong keyboard layout in console (correct in X)
Date: Mon, 9 Jul 2012 10:48:47 +0200
[Message part 1 (text/plain, inline)]
Samuel Thibault <sthibault@debian.org> (09/07/2012):
> But doesn't it work *with* speech synthesis?  (since in that
> case the installer uses text mode from the start)

It works with a netboot-gtk image built today, against wheezy's udebs,
presumably thanks to console-setup's migration during the last run.

I pulled all udebs from src:console-setup based on the -udeb suffix,
which fooled me, and I think the missing package for yesterday's build
was:
-console-setup-pc-ekmap 1.78 all
+console-setup-pc-ekmap 1.80 all

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#606395; Package debian-installer. (Thu, 27 Dec 2012 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 27 Dec 2012 00:15:03 GMT) Full text and rfc822 format available.

Message #58 received at 606395@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Michael Tokarev <mjt@tls.msk.ru>
Cc: Anton Zinoviev <anton@lml.bas.bg>, 606395@bugs.debian.org, Holger Wansing <linux@wansing-online.de>, console-setup@packages.debian.org, Samuel Thibault <sthibault@debian.org>
Subject: Re: Bug#606395: [G-I][squeeze-d-i-beta2] wrong keyboard layout in console (correct in X)
Date: Thu, 27 Dec 2012 01:10:58 +0100
[Message part 1 (text/plain, inline)]
Hi all,

after quite some time spent hacking on d-i, I would really find it a
shame if we weren't going to fix that for wheezy.

Anton Zinoviev <anton@lml.bas.bg> (09/12/2010):
> On Thu, Dec 09, 2010 at 08:35:24AM +0800, Samuel Thibault wrote:
> >
> > That's actually "expected": we didn't want to switch back to the text
> > console just to setup the keyboard (setupcon would refuse to run from
> > the X server). But we should keep that on the TODO list, yes.
>
> As far as I can remember on the virtual consoles there is a text saying
> something like "Press ENTER to activate this console".  I don't know
> what program is displaying this text but isn't it possible to change the
> same program to run setupcon just before the shell?

That could be an idea. From a quick grep, busybox is displaying it:
,---[ init/init.c ]---
| static pid_t run(const struct init_action *a)
| […]
|         /* NB: on NOMMU we can't wait for input in child, so
|          * "askfirst" will work the same as "respawn". */
|         if (BB_MMU && (a->action_type & ASKFIRST)) {
|                 static const char press_enter[] ALIGN1 =
| #ifdef CUSTOMIZED_BANNER
| #include CUSTOMIZED_BANNER
| #endif
|                         "\nPlease press Enter to activate this console. ";
|                 char c;
| […]
`---

After some quick tests, if setupcon is called too early (before a
keymap is selected), one gets:
| ~ # setupcon
| setupcon: None of /usr/etc/default/keyboard nor //.console-setup exists.

After a keymap is selected, one gets this message instead:
| ~ # setupcon
| gzip is not accessible. Will not save cached keyboard map.

[and the keymap is indeed taken into account.]

The difference (despite the buggy error message) is the presence of
/etc/default/keyboard.

I guess we could indeed make busybox call “setupcon” (maybe with the
-k flag?) before spawning a shell, if that file exists? (possibly with
its stderr redirected to /dev/null to avoid the gzip-related message?)

I haven't checked what would happen in the text mode installation.

Michael, what do you think?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#606395; Package debian-installer. (Thu, 27 Dec 2012 20:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 27 Dec 2012 20:57:06 GMT) Full text and rfc822 format available.

Message #63 received at 606395@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: Cyril Brulebois <kibi@debian.org>
Cc: Michael Tokarev <mjt@tls.msk.ru>, 606395@bugs.debian.org, Holger Wansing <linux@wansing-online.de>, console-setup@packages.debian.org, Samuel Thibault <sthibault@debian.org>
Subject: Re: Bug#606395: [G-I][squeeze-d-i-beta2] wrong keyboard layout in console (correct in X)
Date: Thu, 27 Dec 2012 22:17:31 +0200
On Thu, Dec 27, 2012 at 01:10:58AM +0100, Cyril Brulebois wrote:
> 
> I guess we could indeed make busybox call “setupcon” (maybe with the
> -k flag?) before spawning a shell, if that file exists? (possibly with
> its stderr redirected to /dev/null to avoid the gzip-related message?)

Isn't it possible to create a ~/.profile or /etc/profile script calling 
setupcon?  This would be clearer and easier to maintain.  The profile 
script could easily test for the existence of /etc/default/keyboard.

Anton Zinoviev




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#606395; Package debian-installer. (Thu, 27 Dec 2012 21:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 27 Dec 2012 21:09:03 GMT) Full text and rfc822 format available.

Message #68 received at 606395@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Anton Zinoviev <anton@lml.bas.bg>
Cc: Michael Tokarev <mjt@tls.msk.ru>, 606395@bugs.debian.org, Holger Wansing <linux@wansing-online.de>, console-setup@packages.debian.org, Samuel Thibault <sthibault@debian.org>
Subject: Re: Bug#606395: [G-I][squeeze-d-i-beta2] wrong keyboard layout in console (correct in X)
Date: Thu, 27 Dec 2012 22:06:01 +0100
[Message part 1 (text/plain, inline)]
Anton Zinoviev <anton@lml.bas.bg> (27/12/2012):
> Isn't it possible to create a ~/.profile or /etc/profile script calling
> setupcon?  This would be clearer and easier to maintain.  The profile
> script could easily test for the existence of /etc/default/keyboard.

Oh, right. Tested that:
,---[ ~/.profile ]---
| if [ -f /etc/default/keyboard ]; then
|   setupcon >/dev/null 2>&1
| fi

and that seems to work fine without any other modifications, thanks!

If others agree this is an appropriate change, any ideas where to ship
that little file?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#606395; Package debian-installer. (Thu, 27 Dec 2012 21:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 27 Dec 2012 21:12:07 GMT) Full text and rfc822 format available.

Message #73 received at 606395@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: Anton Zinoviev <anton@lml.bas.bg>, Michael Tokarev <mjt@tls.msk.ru>, 606395@bugs.debian.org, Holger Wansing <linux@wansing-online.de>, console-setup@packages.debian.org
Subject: Re: Bug#606395: [G-I][squeeze-d-i-beta2] wrong keyboard layout in console (correct in X)
Date: Thu, 27 Dec 2012 22:09:55 +0100
Cyril Brulebois, le Thu 27 Dec 2012 22:06:01 +0100, a écrit :
> Anton Zinoviev <anton@lml.bas.bg> (27/12/2012):
> > Isn't it possible to create a ~/.profile or /etc/profile script calling
> > setupcon?  This would be clearer and easier to maintain.  The profile
> > script could easily test for the existence of /etc/default/keyboard.
> 
> Oh, right. Tested that:
> ,---[ ~/.profile ]---
> | if [ -f /etc/default/keyboard ]; then
> |   setupcon >/dev/null 2>&1
> | fi
> 
> and that seems to work fine without any other modifications, thanks!
> 
> If others agree this is an appropriate change, any ideas where to ship
> that little file?

Actually we already have almost that, in rootskel/src/etc/profile. It
seems we just need to fix s/console-setup/keyboard/ there.

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#606395; Package debian-installer. (Thu, 27 Dec 2012 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 27 Dec 2012 21:45:03 GMT) Full text and rfc822 format available.

Message #78 received at 606395@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Samuel Thibault <sthibault@debian.org>
Cc: Anton Zinoviev <anton@lml.bas.bg>, Michael Tokarev <mjt@tls.msk.ru>, 606395@bugs.debian.org, Holger Wansing <linux@wansing-online.de>, console-setup@packages.debian.org
Subject: Re: Bug#606395: [G-I][squeeze-d-i-beta2] wrong keyboard layout in console (correct in X)
Date: Thu, 27 Dec 2012 22:42:53 +0100
[Message part 1 (text/plain, inline)]
Control: reassign -1 rootskel 1.101
Control: tag -1 patch pending

Samuel Thibault <sthibault@debian.org> (27/12/2012):
> Cyril Brulebois, le Thu 27 Dec 2012 22:06:01 +0100, a écrit :
> > Oh, right. Tested that:
> > ,---[ ~/.profile ]---
> > | if [ -f /etc/default/keyboard ]; then
> > |   setupcon >/dev/null 2>&1
> > | fi
> > 
> > and that seems to work fine without any other modifications, thanks!
> > 
> > If others agree this is an appropriate change, any ideas where to ship
> > that little file?
> 
> Actually we already have almost that, in rootskel/src/etc/profile. It
> seems we just need to fix s/console-setup/keyboard/ there.

Yoohoo. Thank you! Reassigning to rootskel, already on its way to the
archive after successful tests here.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'debian-installer' to 'rootskel'. Request was from Cyril Brulebois <kibi@debian.org> to 606395-submit@bugs.debian.org. (Thu, 27 Dec 2012 21:45:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions debian-installer/20120508 and debian-installer/20120626. Request was from Cyril Brulebois <kibi@debian.org> to 606395-submit@bugs.debian.org. (Thu, 27 Dec 2012 21:45:03 GMT) Full text and rfc822 format available.

Marked as found in versions rootskel/1.101. Request was from Cyril Brulebois <kibi@debian.org> to 606395-submit@bugs.debian.org. (Thu, 27 Dec 2012 21:45:04 GMT) Full text and rfc822 format available.

Added tag(s) pending and patch. Request was from Cyril Brulebois <kibi@debian.org> to 606395-submit@bugs.debian.org. (Thu, 27 Dec 2012 21:45:04 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Thu, 27 Dec 2012 21:51:06 GMT) Full text and rfc822 format available.

Notification sent to Holger Wansing <linux@wansing-online.de>:
Bug acknowledged by developer. (Thu, 27 Dec 2012 21:51:06 GMT) Full text and rfc822 format available.

Message #91 received at 606395-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 606395-close@bugs.debian.org
Subject: Bug#606395: fixed in rootskel 1.102
Date: Thu, 27 Dec 2012 21:47:41 +0000
Source: rootskel
Source-Version: 1.102

We believe that the bug you reported is fixed in the latest version of
rootskel, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 606395@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated rootskel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 27 Dec 2012 22:40:16 +0100
Source: rootskel
Binary: rootskel
Architecture: source amd64
Version: 1.102
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 rootskel   - Skeleton root filesystem used by debian-installer (udeb)
Closes: 606395
Changes: 
 rootskel (1.102) unstable; urgency=low
 .
   * Fix /etc/profile script to properly detect when to call setupcon:
     the config script for console-setup-udeb is /etc/default/keyboard
     (middle-ground between console-setup's /etc/default/console-setup
     and keyboard-configuration's /etc/default/keyboard).
     Closes: #606395.
   * Redirect setupcon's stdout/stderr to /dev/null in that profile
     script. This avoids spurious “gzip is not accessible. Will not
     save cached keyboard map.” messages when opening a console. In
     case of troubles, it's easy enough to get rid of the redirections
     to debug things.
Checksums-Sha1: 
 a0b3c26c31cd4a6d8814694343ed5de375695fe3 1066 rootskel_1.102.dsc
 2bb570dfcd83dffe97c522b093ccf19d454ef6db 34990 rootskel_1.102.tar.gz
 0933190d425ac7ce84ae3c26c0fe55b046f4eaac 8772 rootskel_1.102_amd64.udeb
Checksums-Sha256: 
 eb8a57689da63fc5334abd0622130450efa8e3d7ecf5ffa7f35fee6e37b1ae2a 1066 rootskel_1.102.dsc
 506a9dd85650164f8e86ffe2f86dbf3646148715e4a799693b2a2a2d8629b234 34990 rootskel_1.102.tar.gz
 f0f6572f1b2fe1943f8d6984e7b4e58791549e2357253f7ee391dc33dbbe7617 8772 rootskel_1.102_amd64.udeb
Files: 
 3e9b798bb14cf43e3f1e7c8b08760275 1066 debian-installer standard rootskel_1.102.dsc
 b0d981c0352063af1515959dd1b74860 34990 debian-installer standard rootskel_1.102.tar.gz
 c92e12fd788ac42d0c958f5e0b046a09 8772 debian-installer standard rootskel_1.102_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDcwYoACgkQeGfVPHR5Nd2TBwCgnAP0KZi7leGkNjiUyfx9n8Oo
7zUAniO42ceTkBtips+X47aKo2MzhkBK
=xGsp
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 04 Feb 2013 07:28:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:22:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.